# RSL_read_radar

### Synopsis

#include "rsl.h"
Radar *RSL_read_radar(char *filename);

###

Description

Read the Radar structure from disk. This is the inverse function of RSL_write_radar. The input file may be compressed. If the data is compressed, it is passed through the GNU gunzip filter. Thus, compressed data can be any format that gzip understands. Space for the Radar structure is obtained via calls to the volume routines: RSL_new_volume, RSL_new_sweep, and RSL_new_ray, which obtain their space via the routine malloc.

### Return value

Upon successful completion, a Radar structure is returned. Otherwise, NULL.

### See also

RSL_read_volume, RSL_read_sweep, RSL_read_ray,
RSL_write_volume, RSL_write_sweep, RSL_write_ray,
RSL_read_radar, File format, RSL_anyformat_to_radar

Author: John H. Merritt